# SPDX-License-Identifier: (GPL-2.0 OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/mfd/renesas,r2a11302ft.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Renesas R2A11302FT Power Supply ICs for R-Car

maintainers:
  - Wolfram Sang <wsa+renesas@sang-engineering.com>

description: |
  The Renesas R2A11302FT PMIC is used with Renesas R-Car Gen1/Gen2
  based SoCs.

  FIXME: The binding is incomplete and resembles the information gathered
  so far.

properties:
  compatible:
    const: renesas,r2a11302ft

  reg:
    maxItems: 1

  spi-max-frequency:
    maximum: 6000000

  spi-cpol: true

  spi-cpha: true

required:
  - compatible
  - reg
  - spi-cpol
  - spi-cpha

allOf:
  - $ref: /schemas/spi/spi-peripheral-props.yaml#

unevaluatedProperties: false

examples:
  - |
    spi {
        #address-cells = <1>;
        #size-cells = <0>;

        pmic@0 {
            compatible = "renesas,r2a11302ft";
            reg = <0>;
            spi-max-frequency = <6000000>;
            spi-cpol;
            spi-cpha;
        };
    };
...
